/******************************************************************************
 * File: SettingsCodec.h
 * Date: 27.2.2018
 *****************************************************************************/

#ifndef SETTINGSCODEC_H
#define SETTINGSCODEC_H

#include "SettingsContainer.h"

namespace grndr
{
	class SettingsCodec
	{
	public:
		virtual void encodeSettings(const SettingsContainer& settings, QTextStream& stream) = 0;
		virtual void decodeSettings(SettingsContainer& settings, QTextStream& stream) = 0;

		void saveContainer(const SettingsContainer& settings, QString fileName);
		void loadContainer(SettingsContainer& settings, QString fileName);
	};
}

#endif
