/******************************************************************************
 * File: EngineExceptions.cpp
 * Date: 21.2.2018
 *****************************************************************************/

#include "Grinder.h"
#include "EngineExceptions.h"
#include "Processor.h"

EngineException::EngineException(const Engine* engine, QString what) : GrinderException(what),
	_engine{engine}
{

}

ProcessorException::ProcessorException(const ProcessorBase* processor, QString what) : EngineException(processor ? processor->engine() : nullptr, what),
  _processor{processor}
{

}
