/******************************************************************************
 * File: Processor.impl.h
 * Date: 21.2.2018
 *****************************************************************************/

#include "Grinder.h"
#include "Processor.h"
#include "EngineExceptions.h"
#include "pipeline/Block.h"

template<typename BlockType>
Processor<BlockType>::Processor(const Block* block) : ProcessorBase(block),
	_block{dynamic_cast<const BlockType*>(block)}
{
	if (!_block)
		throw std::invalid_argument{_EXCPT("An invalid block type was requested")};
}
