/******************************************************************************
 * File: DraftItemVector.h
 * Date: 20.3.2018
 *****************************************************************************/

#ifndef DRAFTITEMVECTOR_H
#define DRAFTITEMVECTOR_H

#include "common/ObjectVector.h"
#include "DraftItem.h"

namespace grndr
{
	class DraftItemVector : public ObjectVector<DraftItem>
	{
	public:
		static const char* Serialization_Group;
		static const char* Serialization_Element;

	public:
		DraftItemVector(const Layer* layer);

	public:
		pointer_vec_type selectByType(DraftItemType type) const;

	private:
		const Layer* _layer{nullptr};
	};
}

#endif
