/******************************************************************************
 * File: ImageBuildItem.cpp
 * Date: 17.3.2018
 *****************************************************************************/

#include "Grinder.h"
#include "ImageBuildItem.h"

const char* ImageBuildItem::Serialization_Value_Name = "Name";

ImageBuildItem::ImageBuildItem(ImageBuild* imageBuild, QString name) :
	_imageBuild{imageBuild}, _name{name}
{

}

void ImageBuildItem::initImageBuildItem()
{

}

void ImageBuildItem::serialize(SerializationContext& ctx) const
{
	// Serialize values
	ctx.settings()[Serialization_Value_Name] = _name;
}

void ImageBuildItem::deserialize(DeserializationContext& ctx)
{
	// Deserialize values
	_name = ctx.settings()[Serialization_Value_Name].toString();
}
