/******************************************************************************
 * File: ProjectSerializer.h
 * Date: 27.2.2018
 *****************************************************************************/

#ifndef PROJECTSERIALIZER_H
#define PROJECTSERIALIZER_H

#include "common/serialization/SettingsContainer.h"

namespace grndr
{
	class Project;

	class ProjectSerializer
	{
	public:
		ProjectSerializer(Project* project);

	public:
		SettingsContainer serializeProject() const;
		void deserializeProject(const SettingsContainer& settings, QDir projectDir);

	private:
		Project* _project{nullptr};
	};
}

#endif
