/******************************************************************************
 * File: GraphNodeFactory.cpp
 * Date: 22.1.2018
 *****************************************************************************/

#include "Grinder.h"
#include "GraphNodeFactory.h"
#include "GraphBlockNode.h"
#include "pipeline/Block.h"

GraphNodeFactory::GraphNodeFactory(GraphScene* scene) : VisualNodeFactory(scene)
{
	registerStandardBlocks();
}

GraphBlockNode* GraphNodeFactory::createDefaultNode(const std::shared_ptr<Block>& block) const
{
	return new GraphBlockNode{_scene, block};
}

void GraphNodeFactory::registerStandardBlocks()
{

}
