/******************************************************************************
 * File: ImageTagsListItem.cpp
 * Date: 18.4.2018
 *****************************************************************************/

#include "Grinder.h"
#include "ImageTagsListItem.h"
#include "res/Resources.h"

ImageTagsListItem::ImageTagsListItem(ImageTag* imageTag) : ObjectListItem(imageTag)
{
	setFlags(Qt::ItemIsEnabled|Qt::ItemIsSelectable);
	setIcon(QIcon{FILE_ICON_TAG});

	updateItem();
}

void ImageTagsListItem::updateItem()
{
	ObjectListItem::updateItem();

	setText(getName());	
	setBackgroundColor(getColor());
	setTextColor(getTextColor());
}
