/******************************************************************************
 * File: LayersListItem.cpp
 * Date: 17.3.2018
 *****************************************************************************/

#include "Grinder.h"
#include "LayersListItem.h"
#include "res/Resources.h"

LayersListItem::LayersListItem(Layer* layer) : ActiveObjectListItem(layer)
{
	setFlags(Qt::ItemIsEnabled|Qt::ItemIsSelectable|Qt::ItemIsEditable|Qt::ItemIsUserCheckable);
	setIcon(QIcon{FILE_ICON_LAYER});

	updateItem();
}

void LayersListItem::updateItem()
{
	ActiveObjectListItem::updateItem();

	setText(getName());
	setCheckState(isVisible() ? Qt::Checked : Qt::Unchecked);
}
