/******************************************************************************
 * File: LabelsListItem.cpp
 * Date: 07.2.2018
 *****************************************************************************/

#include "Grinder.h"
#include "LabelsListItem.h"
#include "res/Resources.h"

LabelsListItem::LabelsListItem(Label* label) : ActiveObjectListItem(label)
{
	setFlags(Qt::ItemIsEnabled|Qt::ItemIsSelectable|Qt::ItemIsEditable);
	setIcon(QIcon{FILE_ICON_LABEL});

	updateItem();
}

void LabelsListItem::updateItem()
{
	ActiveObjectListItem::updateItem();

	setText(getName());
}
