/******************************************************************************
 * File: BlockPropertyTreeItem.h
 * Date: 06.3.2018
 *****************************************************************************/

#ifndef BLOCKPROPERTYTREEITEM_H
#define BLOCKPROPERTYTREEITEM_H

#include "PropertyTreeItem.h"

namespace grndr
{
	class Block;

	class BlockPropertyTreeItem : public PropertyTreeItem
	{
	public:
		BlockPropertyTreeItem(const std::shared_ptr<Block>& block);

	public:
		virtual void updateItem() override;

	public:
		const std::weak_ptr<Block>& pipelineItem() const { return _block; }

	private:
		std::weak_ptr<Block> _block;
	};
}

#endif
