/******************************************************************************
 * File: ValuePropertyTreeItem.h
 * Date: 07.3.2018
 *****************************************************************************/

#ifndef VALUEPROPERTYTREEITEM_H
#define VALUEPROPERTYTREEITEM_H

#include "PropertyTreeItem.h"

namespace grndr
{
	class PipelineItem;
	class PropertyBase;

	class ValuePropertyTreeItem : public PropertyTreeItem
	{
	public:
		ValuePropertyTreeItem(const std::shared_ptr<PropertyBase>& property);

	public:
		QWidget* createEditor(QWidget* parent) const;

	public:
		virtual void updateItem() override;

	public:
		std::weak_ptr<PropertyBase>& property() { return _property; }
		const std::weak_ptr<PropertyBase>& property() const { return _property; }

	private:
		std::weak_ptr<PropertyBase> _property;
	};
}

#endif
