/******************************************************************************
 * File: ImageReferencePropertyEditor.cpp
 * Date: 12.4.2018
 *****************************************************************************/

#ifndef IMAGEREFERENCEPROPERTYEDITOR_H
#define IMAGEREFERENCEPROPERTYEDITOR_H

#include <QCheckBox>

#include "project/properties/ImageReferenceProperty.h"
#include "ui/properties/PropertyEditor.h"

namespace grndr
{
	class ImageReferencePropertyEditor : public PropertyEditor<QComboBox, ImageReferenceProperty>
	{
		Q_OBJECT

	public:
		ImageReferencePropertyEditor(ImageReferenceProperty* property, QWidget *parent = nullptr);

	protected:
		virtual void applyPropertyValue() override;

	private slots:
		void populateImageReferences();
		void currentIndexChanged(int index);
	};
}

#endif
