/******************************************************************************
 * File: PointPropertyEditor.h
 * Date: 23.3.2018
 *****************************************************************************/

#ifndef POINTPROPERTYEDITOR_H
#define POINTPROPERTYEDITOR_H

#include <QLineEdit>

#include "DualIntPropertyEditor.h"
#include "common/properties/types/PointProperty.h"

namespace grndr
{
	class PointPropertyEditor : public DualIntPropertyEditor<PointProperty>
	{
		Q_OBJECT

	public:
		PointPropertyEditor(PointProperty* property, QWidget *parent = nullptr);

	protected:
		virtual void applyPropertyValue() override;

	protected:
		virtual void valuesChanged() override;
	};
}

#endif
