/******************************************************************************
 * File: SizePropertyEditor.h
 * Date: 23.3.2018
 *****************************************************************************/

#ifndef SIZEPROPERTYEDITOR_H
#define SIZEPROPERTYEDITOR_H

#include <QLineEdit>

#include "DualIntPropertyEditor.h"
#include "common/properties/types/SizeProperty.h"

namespace grndr
{
	class SizePropertyEditor : public DualIntPropertyEditor<SizeProperty>
	{
		Q_OBJECT

	public:
		SizePropertyEditor(SizeProperty* property, QWidget *parent = nullptr);

	protected:
		virtual void applyPropertyValue() override;

	protected:
		virtual void valuesChanged() override;
	};
}

#endif
