/******************************************************************************
 * File: VisualSceneInputHandler.impl.h
 * Date: 30.3.2018
 *****************************************************************************/

#include "Grinder.h"
#include "VisualSceneInputHandler.h"

template<typename EventType>
VisualSceneInputHandler::InputEventResult VisualSceneInputHandler::handleInputEvent(EventType* event, std::function<InputEventResult(VisualSceneInputHandler*, const EventType*)> handler)
{
	InputEventResult result = handler(this, event);
	event->setAccepted(result == InputEventResult::Process);
	return result;
}
