/******************************************************************************
 * File: PropertyExceptions.cpp
 * Date: 14.1.2018
 *****************************************************************************/

#include "Grinder.h"
#include "PropertyExceptions.h"

PropertyException::PropertyException(const PropertyBase* prop, QString what) : GrinderException(what),
	_property{prop}
{

}

PropertyItemException::PropertyItemException(const PropertyObject* item, QString what) : GrinderException(what),
	_propertyItem{item}
{

}
