/******************************************************************************
 * File: PropertyVector.impl.h
 * Date: 14.1.2018
 *****************************************************************************/

#include "Grinder.h"
#include "PropertyVector.h"

template<typename PropType>
PropType* PropertyVector::property(typename vector_type::size_type pos) const
{
	return dynamic_cast<PropType*>(at(pos).get());
}

template<typename PropType>
PropType* PropertyVector::property(PropertyID id) const
{
	return dynamic_cast<PropType*>(selectFirst([id](auto prop) { return prop->getID() == id; }).get());
}
