/******************************************************************************
 * File: InputProcessor.h
 * Date: 21.2.2018
 *****************************************************************************/

#ifndef INTPUTPROCESSOR_H
#define INTPUTPROCESSOR_H

#include "engine/Processor.h"
#include "pipeline/blocks/InputBlock.h"

namespace grndr
{
	class InputProcessor : public Processor<InputBlock>
	{
	public:
		InputProcessor(const Block* block);

	public:
		virtual void execute(EngineExecutionContext& ctx) override;
	};
}

#endif
