/******************************************************************************
 * File: ImageBuildVector.h
 * Date: 12.3.2018
 *****************************************************************************/

#ifndef IMAGEBUILDVECTOR_H
#define IMAGEBUILDVECTOR_H

#include "common/ObjectVector.h"
#include "ImageBuild.h"

namespace grndr
{
	class ImageBuildVector : public ObjectVector<ImageBuild>
	{
	public:
		static const char* Serialization_Group;
		static const char* Serialization_Element;

	public:
		pointer_vec_type selectByImageReference(const ImageReference* imageRef) const;
		pointer_type selectByImageReferences(const std::vector<const ImageReference*>& imageReferences) const;
	};
}

#endif
