/******************************************************************************
 * File: LayerVector.h
 * Date: 17.3.2018
 *****************************************************************************/

#ifndef LAYERVECTOR_H
#define LAYERVECTOR_H

#include "common/ObjectVector.h"
#include "Layer.h"

namespace grndr
{
	class LayerVector : public ObjectVector<Layer>
	{
	public:
		static const char* Serialization_Group;
		static const char* Serialization_Element;

	public:
		LayerVector(const ImageBuild* imageBuild);

	public:
		pointer_type selectByName(QString name, bool caseSensitive = false) const;

	private:
		const ImageBuild* _imageBuild{nullptr};
	};
}

#endif
