/******************************************************************************
 * File: ImageTagsAllotmentProperty.h
 * Date: 3.5.2018
 *****************************************************************************/

#ifndef IMAGETAGSALLOTMENTPROPERTY_H
#define IMAGETAGSALLOTMENTPROPERTY_H

#include "common/properties/ObjectProperty.h"
#include "image/ImageTagsAllotment.h"

namespace grndr
{
	class ImageTagsAllotmentProperty : public ObjectProperty<ImageTagsAllotment>
	{
		Q_OBJECT

	public:
		using ObjectProperty::ObjectProperty;

	public:
		virtual void initProperty() override;

	public:
		virtual QWidget* createEditor(QWidget* parent) override;

	public:
		virtual QString toString() const override;
	};
}

#endif
