/******************************************************************************
 * File: ImageTagsProperty.h
 * Date: 17.4.2018
 *****************************************************************************/

#ifndef IMAGETAGSPROPERTY_H
#define IMAGETAGSPROPERTY_H

#include "common/properties/ObjectProperty.h"
#include "image/ImageTags.h"

namespace grndr
{
	class ImageTagsProperty : public ObjectProperty<ImageTags>
	{
		Q_OBJECT

	public:
		using ObjectProperty::ObjectProperty;

	public:
		virtual QWidget* createEditor(QWidget* parent) override;

	public:
		virtual QString toString() const override;
	};
}

#endif
