/******************************************************************************
 * File: PipelineVector.cpp
 * Date: 16.1.2018
 *****************************************************************************/

#include "Grinder.h"
#include "PipelineVector.h"

const char* PipelineVector::Serialization_Group = "Pipelines";
const char* PipelineVector::Serialization_Element = "Pipeline";

PipelineVector::pointer_type PipelineVector::selectByName(QString name, bool caseSensitive) const
{
	return selectFirst([name, caseSensitive](auto pipeline) { return pipeline->getName().compare(name, caseSensitive ? Qt::CaseSensitive : Qt::CaseInsensitive) == 0; });
}
