/******************************************************************************
 * File: LabelVector.cpp
 * Date: 07.2.2018
 *****************************************************************************/

#include "Grinder.h"
#include "LabelVector.h"

const char* LabelVector::Serialization_Group = "Labels";
const char* LabelVector::Serialization_Element = "Label";

LabelVector::pointer_type LabelVector::selectByName(QString name, bool caseSensitive) const
{
	return selectFirst([name, caseSensitive](auto label) { return label->getName().compare(name, caseSensitive ? Qt::CaseSensitive : Qt::CaseInsensitive) == 0; });
}
