/******************************************************************************
 * File: ImageTagsListItem.h
 * Date: 18.4.2018
 *****************************************************************************/

#ifndef IMAGETAGSLISTITEM_H
#define IMAGETAGSLISTITEM_H

#include "ui/widgets/ObjectListItem.h"
#include "image/ImageTag.h"

namespace grndr
{
	class ImageTagsListItem : public ObjectListItem<ImageTag>
	{
	public:
		ImageTagsListItem(ImageTag* imageTag);

	public:
		virtual void updateItem() override;

	public:
		QString getName() const { return _object->getName(); }
		QColor getColor() const { return _object->getColor(); }
		QColor getTextColor() const { return _object->getTextColor(); }
	};
}

#endif
