/******************************************************************************
 * File: LayersListItem.h
 * Date: 17.3.2018
 *****************************************************************************/

#ifndef LAYERSLISTITEM_H
#define LAYERSLISTITEM_H

#include "ui/widgets/ActiveObjectListItem.h"
#include "image/Layer.h"

namespace grndr
{
	class LayersListItem : public ActiveObjectListItem<Layer>
	{
	public:
		LayersListItem(Layer* layer);

	public:
		virtual void updateItem() override;

	public:
		QString getName() const { return _object->getName(); }
		bool isVisible() const { return _object->isVisible(); }
	};
}

#endif
