/******************************************************************************
 * File: LabelsListItem.h
 * Date: 07.2.2018
 *****************************************************************************/

#ifndef LABELSLISTITEM_H
#define LABELSLISTITEM_H

#include "ui/widgets/ActiveObjectListItem.h"
#include "project/Label.h"

namespace grndr
{
	class LabelsListItem : public ActiveObjectListItem<Label>
	{
	public:
		LabelsListItem(Label* label);

	public:
		virtual void updateItem() override;

	public:
		QString getName() const { return _object->getName(); }
	};
}

#endif
