/******************************************************************************
 * File: TextPropertyEditor.h
 * Date: 07.3.2018
 *****************************************************************************/

#ifndef TEXTPROPERTYEDITOR_H
#define TEXTPROPERTYEDITOR_H

#include "ui/widgets/AutoFocusWidget.h"
#include "ui/properties/PropertyEditor.h"

namespace grndr
{
	class TextPropertyEditor : public PropertyEditor<AutoFocusLineEdit>
	{
		Q_OBJECT

	public:
		TextPropertyEditor(PropertyBase* property, QString inputMask, QWidget *parent = nullptr);

	protected:
		virtual void applyPropertyValue() override;

	private slots:
		void editingFinished();
	};
}

#endif
