/******************************************************************************
 * File: ActiveObjectListItem.impl.h
 * Date: 25.4.2018
 *****************************************************************************/

#include "Grinder.h"
#include "ActiveObjectListItem.h"

template<typename ObjectType>
ActiveObjectListItem<ObjectType>::ActiveObjectListItem(ObjectType* object) : ObjectListItem<ObjectType>(object)
{
	_activeFont.setBold(true);
}

template<typename ObjectType>
void ActiveObjectListItem<ObjectType>::updateItem()
{
	ObjectListItem<ObjectType>::updateItem();

	if (_isActive)
		this->setFont(_activeFont);
	else
		this->setFont(_regularFont);
}
