/******************************************************************************
 * File: FileUtils.h
 * Date: 10.2.2018
 *****************************************************************************/

#ifndef FILEUTILS_H
#define FILEUTILS_H

#include <QStringList>

namespace grndr
{
	class FileUtils final
	{
	public:
		static bool compareFileNames(QString fileName1, QString fileName2);

		static QStringList expandFileList(QStringList paths, QStringList filters = QStringList{});
		static QStringList getDirectoryList(QString path);

	private:
		FileUtils();
	};
}

#endif
